/*
 * Licensed to ElasticSearch under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. ElasticSearch licenses this
 * file to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.elasticsearch.plugin.river.activemq;

import org.elasticsearch.common.inject.Inject;
import org.elasticsearch.plugins.AbstractPlugin;
import org.elasticsearch.river.RiversModule;
import org.elasticsearch.river.activemq.ActiveMQRiverModule;

/**
 * @author Dominik Dorn // http://dominikdorn.com
 */
public class ActiveMQRiverPlugin extends AbstractPlugin {

    @Inject
    public ActiveMQRiverPlugin() {
    }

    @Override
    public String name() {
        return "river-activemq";
    }

    @Override
    public String description() {
        return "River ActiveMQ Plugin";
    }

    public void onModule(RiversModule module) {
        module.registerRiver("activemq", ActiveMQRiverModule.class);
    }
}
